Skip to content

Test Agent

POST
/api/v1/admin/projects/{project_id}/test

Run one test message through the agent without sending to a real channel.

project_id
required
Project Id
string format: uuid
X-Admin-Key
Any of:
string
X-Admin-API-Key
Any of:
string
X-Project-ID
Any of:
string
AgentTestRequest

Payload for testing an agent without a live channel.

object
channel
Channel
string
default: sms /^(whatsapp|sms|ios|telegram)$/
message
required
Message
string
>= 1 characters
phone_e164
Phone E164
string
default: +15550000000 /^\+[1-9]\d{1,14}$/

Successful Response

AgentTestResponse

Agent test endpoint response.

object
cost_usd
Cost Usd
number
0
details
Any of:
string
error
Any of:
string
metadata
Metadata
object
key
additional properties
any
model_used
Any of:
string
response
Any of:
string
response_text
Response Text
string
""
suggestion
Any of:
string
warnings
Warnings
Array<string>

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string